com.sun.jna.platform.win32

## Class WinioctlUtil

- java.lang.Object
- - com.sun.jna.platform.win32.WinioctlUtil

    public abstract class WinioctlUtil
    extends java.lang.Object

Winioctl Utility API. Use WinioctlFunction to construct the full control codes for the FSCTL_* functions defined in Winioctl.h

Author:
  amarcionek[at]gmail.com

### Field Summary

Fields
`static int` `FSCTL_DELETE_REPARSE_POINT`
`static int` `FSCTL_GET_COMPRESSION`
`static int` `FSCTL_GET_REPARSE_POINT`
`static int` `FSCTL_SET_COMPRESSION`
`static int` `FSCTL_SET_REPARSE_POINT`

### Constructor Summary

Constructors
Constructor and Description
`WinioctlUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `CTL_CODE(int DeviceType, int Function, int Method, int Access)` Simulates the macro CTL_CODE from Winioctl.h

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FSCTL_GET_COMPRESSION

    public static final int FSCTL_GET_COMPRESSION

#### FSCTL_SET_COMPRESSION

    public static final int FSCTL_SET_COMPRESSION

#### FSCTL_SET_REPARSE_POINT

    public static final int FSCTL_SET_REPARSE_POINT

#### FSCTL_GET_REPARSE_POINT

    public static final int FSCTL_GET_REPARSE_POINT

#### FSCTL_DELETE_REPARSE_POINT

    public static final int FSCTL_DELETE_REPARSE_POINT

### Constructor Detail

#### WinioctlUtil

    public WinioctlUtil()

### Method Detail

#### CTL_CODE

    public static int CTL_CODE(int DeviceType,
                               int Function,
                               int Method,
                               int Access)

Simulates the macro CTL_CODE from Winioctl.h

Parameters:
  `DeviceType` - the device type
  `Function` - the function
  `Method` - the method
  `Access` - the access
Returns:
  int with the resulting control code

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.